libnvme(2)

NAME
struct nvme_fabrics_uri - Parsed URI structure

SYNOPSIS
struct nvme_fabrics_uri {
char *scheme;
char *protocol;
char *userinfo;
char *host;
int port;
char **path_segments;
char *query;
char *fragment;
};

Members

scheme
    Scheme name (typically 'nvme')

protocol
    Optional protocol/transport (e.g. 'tcp')

userinfo
    Optional user information component of the URI authority

host
    Host transport address

port
    The port subcomponent or 0 if not specified

path_segments
    NULL-terminated array of path segments

query
    Optional query string component (separated by '?')

fragment
    Optional fragment identifier component (separated by '#')